TEMPLATE = app
TARGET = speedcrunch

# note: change this BEFORE making a release !
DEFINES += SPEEDCRUNCH_VERSION="0.9"

HEADERS += 3rdparty/gui/wwwidgets/wwglobal.h
HEADERS += 3rdparty/gui/wwwidgets/wwglobal_p.h
HEADERS += 3rdparty/gui/wwwidgets/colormodel.h
HEADERS += 3rdparty/gui/wwwidgets/qwwcolorbutton.h
HEADERS += 3rdparty/util/binreloc.h
HEADERS += base/constants.hxx
HEADERS += base/evaluator.hxx
HEADERS += base/functions.hxx
HEADERS += base/settings.hxx
HEADERS += gui/aboutbox.hxx
HEADERS += gui/autohidelabel.hxx
HEADERS += gui/configdlg.hxx
HEADERS += gui/constantsdock.hxx
HEADERS += gui/deletevardlg.hxx
HEADERS += gui/editor.hxx
HEADERS += gui/functionsdock.hxx
HEADERS += gui/historydock.hxx
HEADERS += gui/insertfunctiondlg.hxx
HEADERS += gui/insertvardlg.hxx
HEADERS += gui/keypad.hxx
HEADERS += gui/result.hxx
HEADERS += gui/tipwidget.hxx
HEADERS += gui/variablesdock.hxx
HEADERS += main/crunch.hxx
HEADERS += math/floatcommon.h
HEADERS += math/floatconfig.h
HEADERS += math/floatconst.h
HEADERS += math/floatconvert.h
HEADERS += math/floatexp.h
HEADERS += math/floatgamma.h
HEADERS += math/floathmath.h
HEADERS += math/floatio.h
HEADERS += math/floatipower.h
HEADERS += math/floatlog.h
HEADERS += math/floatlogic.h
HEADERS += math/floatlong.h
HEADERS += math/floatnum.h
HEADERS += math/floatpower.h
HEADERS += math/floatseries.h
HEADERS += math/floattrig.h
HEADERS += math/hmath.hxx
HEADERS += math/number.h

SOURCES += 3rdparty/gui/wwwidgets/wwglobal_p.cpp
SOURCES += 3rdparty/gui/wwwidgets/colormodel.cpp
SOURCES += 3rdparty/gui/wwwidgets/qwwcolorbutton.cpp
SOURCES += 3rdparty/util/binreloc.c
SOURCES += base/constants.cpp
SOURCES += base/evaluator.cpp
SOURCES += base/functions.cpp
SOURCES += base/settings.cpp
SOURCES += gui/aboutbox.cpp
SOURCES += gui/autohidelabel.cpp
SOURCES += gui/configdlg.cpp
SOURCES += gui/constantsdock.cpp
SOURCES += gui/deletevardlg.cpp
SOURCES += gui/editor.cpp
SOURCES += gui/functionsdock.cpp
SOURCES += gui/historydock.cpp
SOURCES += gui/insertfunctiondlg.cpp
SOURCES += gui/insertvardlg.cpp
SOURCES += gui/keypad.cpp
SOURCES += gui/result.cpp
SOURCES += gui/tipwidget.cpp
SOURCES += gui/variablesdock.cpp
SOURCES += main/crunch.cpp
SOURCES += main/main.cpp
SOURCES += math/floatcommon.c
SOURCES += math/floatconst.c
SOURCES += math/floatconvert.c
SOURCES += math/floatexp.c
SOURCES += math/floatgamma.c
SOURCES += math/floathmath.c
SOURCES += math/floatio.c
SOURCES += math/floatipower.c
SOURCES += math/floatlog.c
SOURCES += math/floatlogic.c
SOURCES += math/floatlong.c
SOURCES += math/floatnum.c
SOURCES += math/floatpower.c
SOURCES += math/floatseries.c
SOURCES += math/floattrig.c
SOURCES += math/hmath.cpp
SOURCES += math/number.c

CONFIG += qt
CONFIG += thread
CONFIG += warn_on
CONFIG += release

unix:DEFINES += ENABLE_BINRELOC

RC_FILE = resources/crunchico.rc

TRANSLATIONS += ../i18n/crunch_cs.ts
TRANSLATIONS += ../i18n/crunch_de.ts
TRANSLATIONS += ../i18n/crunch_es.ts
TRANSLATIONS += ../i18n/crunch_es_AR.ts
TRANSLATIONS += ../i18n/crunch_fi.ts
TRANSLATIONS += ../i18n/crunch_fr.ts
TRANSLATIONS += ../i18n/crunch_he.ts
TRANSLATIONS += ../i18n/crunch_id.ts
TRANSLATIONS += ../i18n/crunch_it.ts
TRANSLATIONS += ../i18n/crunch_nl.ts
TRANSLATIONS += ../i18n/crunch_no.ts
TRANSLATIONS += ../i18n/crunch_pt.ts
TRANSLATIONS += ../i18n/crunch_pt_BR.ts
TRANSLATIONS += ../i18n/crunch_ro.ts
TRANSLATIONS += ../i18n/crunch_ru.ts
TRANSLATIONS += ../i18n/crunch_sv.ts

RESOURCES = resources/crunch.qrc

binaries.path = $${BINDIR}
binaries.files += speedcrunch
INSTALLS += binaries

translations.path = $${DATADIR}/crunch
translations.files += ../i18n/crunch_cs.qm
translations.files += ../i18n/crunch_de.qm
translations.files += ../i18n/crunch_es.qm
translations.files += ../i18n/crunch_es_AR.qm
translations.files += ../i18n/crunch_fi.qm
translations.files += ../i18n/crunch_fr.qm
translations.files += ../i18n/crunch_he.qm
translations.files += ../i18n/crunch_id.qm
translations.files += ../i18n/crunch_it.qm
translations.files += ../i18n/crunch_nl.qm
translations.files += ../i18n/crunch_no.qm
translations.files += ../i18n/crunch_pt.qm
translations.files += ../i18n/crunch_pt_BR.qm
translations.files += ../i18n/crunch_ro.qm
translations.files += ../i18n/crunch_ru.qm
translations.files += ../i18n/crunch_sv.qm
INSTALLS += translations

DISTFILES += ../ChangeLog
DISTFILES += ../COPYING
DISTFILES += ../LISEZMOI
DISTFILES += ../README
DISTFILES += ../i18n/crunch_cs.qm
DISTFILES += ../i18n/crunch_de.qm
DISTFILES += ../i18n/crunch_es.qm
DISTFILES += ../i18n/crunch_es_AR.qm
DISTFILES += ../i18n/crunch_fi.qm
DISTFILES += ../i18n/crunch_fr.qm
DISTFILES += ../i18n/crunch_he.qm
DISTFILES += ../i18n/crunch_id.qm
DISTFILES += ../i18n/crunch_it.qm
DISTFILES += ../i18n/crunch_nl.qm
DISTFILES += ../i18n/crunch_no.qm
DISTFILES += ../i18n/crunch_pt.qm
DISTFILES += ../i18n/crunch_pt_BR.qm
DISTFILES += ../i18n/crunch_ro.qm
DISTFILES += ../i18n/crunch_ru.qm
DISTFILES += ../i18n/crunch_sv.qm
DISTFILES += resources/crunch.png
DISTFILES += resources/clearinput.png
